clear all
format shortG

%%%%%% Geometry %%%%%%

% Dimensions of sample and probe station

inp.b = 2; % side length of the substrate in cm
inp.s = 1000; % probe spacing in um
inp.diam = 20; % probe tip diameter in um
inp.tSi = 200; % substrate thickness in um
inp.tCL = 0.1; % CL thicness in um

% Correction Factors

% On input data
inp.R_stack12CheckBox_in = 0; % correction for Rstack from CL and substrate side (set to 0 (1) to turn off (on) the correction)
inp.R_CLCheckBox_in = 0; % correction for sheet resistance of CL (set to 0 (1) to turn off (on) the correction)
inp.R_sCheckBox_in = 0; % correction for sheet resistance of substrate (set to 0 (1) to turn off (on) the correction)

% On output data
inp.R_stack12CheckBox_out = 0;
inp.R_CLCheckBox_out = 0;

inp.highSpeed = 1; % enabling high speed lower accuracy mode (set to 0 (1) to turn off (on) high speed)





%%%%%% Generate Rstack, Q versus rhoc curves %%%%%%

% inp.contactingSide = 1; % contacting from the CL side
inp.contactingSide = 2; % contacting from the substrate side

inp.RCL = 100; % Sheet resistance of the CL
inp.Rs = 100; % Sheet resistance of the substrate

inp.rho_cmin = 1; % min rhoc in mohm.cm2
inp.rho_cmax = 1e6; % max rhoc in mohm.cm2
inp.steps = 50; % number of points between rhoc_min and rhoc_max

[rhoc, Rout, Q] = Rstack_Q_vs_rhoc_p(inp);





%%%%%% Calculate rhoc using the 4PP methods %%%%%%

% Uncomment the necesary lines for using desired method. Comment the
% 'Generate Rstack, Q versus rhoc curves' section above.

%%% --- Calculate rhoc using S4PP contacted from CL side --- %%%
% inp.R_stack1 = 80; % Measured sheet resistance of the stack from CL side
% inp.RCL = 100; % Measured sheet resistance of the CL
% inp.Rs = 100; % Measured sheet resistance of the substrate
% Results_CL = S4PP_CL_side_p(inp)

%%% --- Calculate rhoc using S4PP contacted from substrate side --- %%%
% inp.R_stack2 = 75; % Measured sheet resistance of the stack from substrate side
% inp.RCL = 100; % Measured sheet resistance of the CL
% inp.Rs = 100; % Measured sheet resistance of the substrate
% Results_Substrate = S4PP_substrate_side_p(inp)

%%% --- Calculate rhoc using E4PP --- %%%
% inp.R_stack1 = 80; % Measured sheet resistance of the stack from CL side
% inp.R_stack2 = 75; % Measured sheet resistance of the stack from substrate side
% inp.Rs = 100; % Measured sheet resistance of the substrate
% Results_Extended = E4PP_p(inp)

